//
//  DashBoardView.swift
//  Jel
//
//  Created by zerocool on 12/12/23.
//

import SwiftUI

struct DashBoardView: View {
  @State var showingSettingsSheet: Bool = false
  
  var body: some View {
    NavigationStack {
      VStack {
        
      }
      .toolbar {
        ToolbarItem {
          Button {
            showingSettingsSheet.toggle()
          } label: {
            Label("Settings", systemImage: "gear")
          }
        }
      }
      .sheet(isPresented: $showingSettingsSheet) {
        SettingsView(showingSettingsView: $showingSettingsSheet)
      }
    }
  }
}

#Preview {
  DashBoardView()
}
